mapGO2AllProbe <- function(go2Probe, goData, goid = "", sep = ";",
                           all = TRUE){
    if(all){
        # If all, get all the unigue go ids
        goid <- unique(goData[,1])
    }
    # Gets all the probes
    getAllProbe <- function(id){
        temp <- getOffspringNodes(id, goData)
        found <- unique(unlist(strsplit(go2Probe[is.element(go2Probe[, 1],
                              temp), 2], sep), use.names = FALSE))
        # Add mapping by the id itself in
        found <- unique(c(found,
                        unlist(strsplit(go2Probe[go2Probe[,1] == id, 2],
                                        sep), use.names = FALSE)))
        if(is.null(found) || is.na(found) || found == "" ||
           found == "NA"){
            return(NA)
        }else{
            # Collapse the values
            return(paste(found, sep = "", collapse = sep))
        }
    }
    go2All <- sapply(goid, getAllProbe)
#    go2All <- cbind(names(go2All), go2All)
#    colnames(go2All) <- c("GO", "GO2ALLPROBE")
    return(go2All)
}
