\name{GOPkgBuilder}
\alias{GOPkgBuilder}

\title{A functions to builder a data package using GO data}
\description{
  This function builds creates data, documentation, and other supporting
  files that consist a normal R package using data from GO. 
}
\usage{
GOPkgBuilder(pkgName = "GO", pkgPath, version = "1.2.1", srcUrl = getSrcUrl("GO", xml = TRUE), author = c(name = "who", address = "who@email.com"))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{pkgName}{\code{pkgName} a character string for the name of the
    data package to be built}
  \item{pkgPath}{Describe \code{pkgPath} a character string for the path
    to which the data package to be built will be stored}
  \item{version}{\code{version} a character string for the version
    number of the data package}
  \item{srcUrl}{\code{srcUrl} a character string for the url where the
    source data that will be used to build the data package are stored}
  \item{author}{\code{author} a named vector of character string with a
    name element for the name of the author and address element for the
    email address of the author}
}
\details{
  This package relies on the xml data file from
  \url{http://www.godatabase.org/dev/database/archive/2003-04-01/go_200304-termdb.xml.gz} to obtain the data. The url changes when data are updated. The system has built in code to figure out where the latest data are and use that data to build the data package. 
}
\value{
  This function does not return any value
}
\references{\url{http://www.godatabase.org}}
\author{Jianhua Zhang}
\note{This function is part of the Bioconductor project at Dana-Farber
  Cancer Institute to provide Bioinformatics functionalities through R}

\seealso{\code{\link{ABPkgBuilder}}, \code{\link{KEGGPkgBuilder}}}
\examples{
if(interactive()){
GOPkgBuilder(pkgName = "GO", pkgPath = tempdir(), version = "1.2.1",
srcUrl = "http://www.bioconductor.org/datafiles/wwwsources/Tgo.xml",
author = c(author = "who", maintainer = "who@email.com"))
list.files(file.path(tempdir(), "GO"))
unlink(file.path(tempdir(), "GO"), TRUE)
}
}
\keyword{manip}

