\name{homoPS-class}
\docType{class}
\alias{homoPS-class}
\alias{ps}
\alias{psLL}
\alias{psOrg}
\alias{psType}
\alias{psURL}
\alias{ps,homoPS-method}
\alias{psLL,homoPS-method}
\alias{psOrg,homoPS-method}
\alias{psType,homoPS-method}
\alias{psURL,homoPS-method}
\alias{orgNameNCode}
\title{Class "homoPS"}
\description{A class to present data for HomologGene percent similarity
  data} 
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("homoPS", ...)}. 
}
\section{Slots}{
  \describe{
    \item{\code{psOrg}:}{Object of class \code{"character"} the
      scientific name of the organism of interest}
    \item{\code{psLL}:}{Object of class \code{"character"} the LocusLink
      id of the gene of interest}
    \item{\code{psType}:}{Object of class \code{"character"} the type of
      similarity. Valid values include B - a recipiprocal best best
      between 3 or more organisms, b - a reciprocal best match, and c -
      a curated homology relationship} 
    \item{\code{ps}:}{Object of class \code{"numeric"} percent
      similarity value}
    \item{\code{psURL}:}{Object of class \code{"character"} the URL for
      curated homology relationship}
  }
}
\section{Methods}{
  \describe{
    \item{ps}{\code{signature(object = "homoPS")}: the get function for
      slot \code{ps}}
    \item{psLL}{\code{signature(object = "homoPS")}: the get function
      for slot \code{psLL}}
    \item{psOrg}{\code{signature(object = "homoPS")}: the get function
      for slot \code{psOrg}}
    \item{psType}{\code{signature(object = "homoPS")}: the get function
      for slot \code{psType}}
    \item{psURL}{\code{signature(object = "homoPS")}: the get function
      for slot \code{psURL}}
  }
}
\references{\url{ftp://ftp.ncbi.nih.gov/pub/HomoloGene/README}}
\author{Jianhua Zhang}
\note{This function is part of the Bioconductor project at Dana-Farber
  Cancer Institute to provide Bioinfomatics functionalities throug R}

\seealso{
  \code{\link{homoPkgBuilder}}
}
\examples{
    new("homoPS", ps = 82.3, psLL = "2324853", psOrg = "Homo sapins",
psType = "B", psURL = "")
}
\keyword{classes}
